List Products
curl --request GET \
--url https://app.levanta.io/api/seller/v2/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.levanta.io/api/seller/v2/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.levanta.io/api/seller/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.levanta.io/api/seller/v2/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.levanta.io/api/seller/v2/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.levanta.io/api/seller/v2/products")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.levanta.io/api/seller/v2/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"products": [
{
"primaryId": "<string>",
"pricing": {
"price": 123,
"currency": "USD"
},
"commissionPercentage": 123,
"title": "<string>",
"inStock": true,
"category": "<string>",
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"marketplace": "amazon.com",
"groupId": "<string>"
}
],
"cursor": "<string>"
}{
"status": 401,
"message": "Unauthorized"
}{
"status": 422,
"message": "Input Validation Failed"
}Products
List Products
List your products across brands. Filter by brand IDs and product IDs.
GET
/
products
List Products
curl --request GET \
--url https://app.levanta.io/api/seller/v2/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.levanta.io/api/seller/v2/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.levanta.io/api/seller/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.levanta.io/api/seller/v2/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.levanta.io/api/seller/v2/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.levanta.io/api/seller/v2/products")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.levanta.io/api/seller/v2/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"products": [
{
"primaryId": "<string>",
"pricing": {
"price": 123,
"currency": "USD"
},
"commissionPercentage": 123,
"title": "<string>",
"inStock": true,
"category": "<string>",
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"marketplace": "amazon.com",
"groupId": "<string>"
}
],
"cursor": "<string>"
}{
"status": 401,
"message": "Unauthorized"
}{
"status": 422,
"message": "Input Validation Failed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of items to return
Required range:
1 <= x <= 100The cursor returned from the last request, if omitted the first page will be returned
Maximum string length:
512Comma-delimited list of UUIDs representing an array
Filter products by their primary ID (ASIN, Walmart Item ID, Shopify Variant ID, or Wayfair Product ID)
Filter products by group ID. Products that share a group ID are variations of the same item (e.g. size, color) in a marketplace
Available options:
true, false Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com, shopify.com, wayfair.com). This union is subject to expand as new marketplaces are added.
Available options:
all, amazon.com, amazon.com.mx, amazon.co.uk, amazon.ca, amazon.de, amazon.es, amazon.fr, amazon.it, amazon.nl, walmart.com, shopify.com, wayfair.com